Subject: Re: bug#32452: 26.1; gnutls_try_handshake maxes out cpu retrying when server is a bit busy

From: Eli Zaretskii <[email-masked]>
Date: Fri, 17 Aug 2018 08:59:29 +0300

> From: Noam Postavsky <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 16 Aug 2018 21:02:29 -0400
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Compile with HAVE_GETADDRINFO_A undefined?  Although if :nowait is
> > nil, then I'm not sure such a compilation will change anything.  But I
> > think it's worth trying, as at least some of the related code doesn't
> > seem to be disabled by :nowait being nil, if my reading of the code is
> > correct.
> 
> No, it doesn't seem to make a difference (though the server is answering
> a bit faster at the moment, I'm only getting the 20~30k "Resource
> temporarily unavailable..." messages with both HAVE_GETADDRINFO_A
> defined and undefined).

OK, so do you understand the sequence of the events well enough to
describe what happens, and explain why we get so many EAGAIN errors?
I'm not yet sure this is bug, maybe it's just how things are in this
case (modulo exerting less CPU load, something that we certainly
should try).

Also, does this happen with every server, or just with some?

Thanks.